Package com.usatiuk.kleppmanntree

# Interface StorageInterface<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

All Known Implementing Classes:
  `JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface`

public interface StorageInterface<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

## Method Summary

Modifier and Type
Method
Description
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
`createNewNode(NodeIdT key, NodeIdT parent, MetaT meta)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
`getById(NodeIdT id)`
`LogInterface<TimestampT,PeerIdT,MetaT,NodeIdT>`
`getLog()`
`NodeIdT`
`getLostFoundId()`
`NodeIdT`
`getNewNodeId()`
`PeerTimestampLogInterface<TimestampT,PeerIdT>`
`getPeerTimestampLog()`
`NodeIdT`
`getRootId()`
`NodeIdT`
`getTrashId()`
`void`
`putNode(TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT> node)`
`void`
`removeNode(NodeIdT id)`

## Method Details

### getRootId

NodeIdT getRootId()

### getTrashId

NodeIdT getTrashId()

### getLostFoundId

NodeIdT getLostFoundId()

### getNewNodeId

NodeIdT getNewNodeId()

### getById

TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT> getById(NodeIdT id)

### createNewNode

TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT> createNewNode(NodeIdT key, NodeIdT parent, MetaT meta)

### putNode

void putNode(TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT> node)

### removeNode

void removeNode(NodeIdT id)

### getLog

LogInterface<TimestampT,PeerIdT,MetaT,NodeIdT> getLog()

### getPeerTimestampLog

PeerTimestampLogInterface<TimestampT,PeerIdT> getPeerTimestampLog()